Subject: Re: bug#10304: 24.0.92: display but

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Jan 2012 01:09:54 +0100

Eli Zaretskii <[email-masked]> writes:

> When this happens, does it help to type "M-x redraw-display RET"?

Yes, it does.

> If it does, then, in the absence of a reproducible test case, all I
> can suggest is gather more info to narrow the range of possible
> offenders.  Start by rebuilding Emacs with -DGLYPH_DEBUG=1, then start
> Emacs with stderr redirected to a file, toggle redisplay tracing with
> "M-x trace-redisplay RET", and wait till the problem happens.  When it
> does, make the window with incorrect display the currently selected
> window, and type "M-x dump-glyph-matrix RET".  Finally, send the
> contents of the redirected stderr here.

Thanks for the recipe; I'll do this the next time I see this redisplay
glitch.

-- 
(domestic pets only, the antidote for overdose, milk.)
  http://lars.ingebrigtsen.no  *  Sent from my Rome